using GameMessage;
using MessagePack;
#if Server
using Server.Core;
#else
#endif

namespace UnityGame
{
    [Message(MessageCode.GameFinPlayer)]
    [MessagePackObject]
    public class GameFinMessage : MessageData
    {
        [Key(0)]
        public int FinCode;
        
#if Server
        public static GameFinMessage Create(int finCode)
        {
            GameFinMessage gameFinMessage = ReferencePool.Fetch<GameFinMessage>();
            gameFinMessage.FinCode = finCode;
            return gameFinMessage;
        }
        
        public override void Dispose()
        {
            ReferencePool.Recycle(this);
        }
#endif
    }

}

